package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.PaymentFlagEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class MusicGroupStudentsDto{

    @ApiModelProperty(value = "学生编号",required = false)
    private Integer userId;

    @ApiModelProperty(value = "姓名",required = false)
    private String realName;

    @ApiModelProperty(value = "性别",required = false)
    private String gender;

    @ApiModelProperty(value = "手机号",required = false)
    private String phone;

    @ApiModelProperty(value = "年级年份",required = false)
    private Date currentGradeDate;

    @ApiModelProperty(value = "年级",required = false)
    private String currentGrade;

    @ApiModelProperty(value = "班级",required = false)
    private String currentClass;

    @ApiModelProperty(value = "专业",required = false)
    private String subjectName;

    @ApiModelProperty(value = "下次缴费日期",required = false)
    private Date nextPaymentDate;

    @ApiModelProperty(value = "课程费用",required = false)
    private BigDecimal courseFee;

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "学员状态 NORMAL(NORMAL, 在读), LEAVE(LEAVE, 请假), QUIT(QUIT, 退班)",required = false)
    private String studentStatus;

    @ApiModelProperty(value = "退团原因",required = false)
    private String quitReason;

    private PaymentFlagEnum paymentStatus;

    @ApiModelProperty(value = "是否新增学员（1是0否）",required = false)
    private Integer isNewStudent;

    private Boolean isActive = false;

    private Integer isLock;

    private String paymentPeriodList;

    private String activeName;

    private String isNewStudentStr;

    private String nextPaymentDateStr;

    @ApiModelProperty(value = "剩余可排课时长",required = false)
    private BigDecimal subTotalCourseTime;

    public BigDecimal getSubTotalCourseTime() {
        return subTotalCourseTime;
    }

    public void setSubTotalCourseTime(BigDecimal subTotalCourseTime) {
        this.subTotalCourseTime = subTotalCourseTime;
    }

    public String getPaymentPeriodList() {
        return paymentPeriodList;
    }

    public void setPaymentPeriodList(String paymentPeriodList) {
        this.paymentPeriodList = paymentPeriodList;
    }

    public Integer getIsLock() {
        return isLock;
    }

    public void setIsLock(Integer isLock) {
        this.isLock = isLock;
    }

    public Boolean getIsActive() {
        return isActive;
    }

    public void setIsActive(Boolean active) {
        isActive = active;
    }

    public Date getNextPaymentDate() {
        return nextPaymentDate;
    }

    public void setNextPaymentDate(Date nextPaymentDate) {
        this.nextPaymentDate = nextPaymentDate;
    }

    public BigDecimal getCourseFee() {
        return courseFee;
    }

    public void setCourseFee(BigDecimal courseFee) {
        this.courseFee = courseFee;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getStudentStatus() {
        return studentStatus;
    }

    public void setStudentStatus(String studentStatus) {
        this.studentStatus = studentStatus;
    }

    public PaymentFlagEnum getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(PaymentFlagEnum paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public Integer getIsNewStudent() {
        return isNewStudent;
    }

    public void setIsNewStudent(Integer isNewStudent) {
        this.isNewStudent = isNewStudent;
    }

    public String getActiveName() {
        return activeName;
    }

    public void setActiveName(String activeName) {
        this.activeName = activeName;
    }

    public String getIsNewStudentStr() {
        return isNewStudentStr;
    }

    public void setIsNewStudentStr(String isNewStudentStr) {
        this.isNewStudentStr = isNewStudentStr;
    }

    public String getNextPaymentDateStr() {
        return nextPaymentDateStr;
    }

    public void setNextPaymentDateStr(String nextPaymentDateStr) {
        this.nextPaymentDateStr = nextPaymentDateStr;
    }

    public String getQuitReason() {
        return quitReason;
    }

    public void setQuitReason(String quitReason) {
        this.quitReason = quitReason;
    }

    public Date getCurrentGradeDate() {
        return currentGradeDate;
    }

    public void setCurrentGradeDate(Date currentGradeDate) {
        this.currentGradeDate = currentGradeDate;
    }
}
